# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rblur"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "一個支援網頁配置介面的輕量級網頁伺服器"
readme = "README.md"
license = "MIT"
repository = "https://github.com/YuFireWhisper/rblur.git"

[lib]
name = "rblur"
path = "src/lib.rs"

[[bin]]
name = "rblur"
path = "src/main.rs"

[dependencies.chrono]
version = "0.4.39"

[dependencies.clap]
version = "4.5.29"
features = ["derive"]

[dependencies.http]
version = "1.2.0"

[dependencies.once_cell]
version = "1.20.2"

[dependencies.openssl]
version = "0.10.68"

[dependencies.racme]
version = "0.3.4"

[dependencies.reqwest]
version = "0.12.12"

[dependencies.rustls]
version = "^0.23.22"

[dependencies.rustls-pemfile]
version = "^2.2.0"

[dependencies.serde]
version = "1.0.217"

[dependencies.serde_json]
version = "1.0.138"

[dependencies.thiserror]
version = "^2.0.11"

[dependencies.url]
version = "2.5.4"
